Skip to main content

Import project revision from repository

POST 

/nevisadmin/api/v1/projects/:projectKey/revision-import/:commitId

Required permission: VIEW_PROJECT on the project, or higher scope

Imports a specific revision of the project stored in the remote repository.

Request body is empty, but to be able to import a specific revision, the original project (set on the URL) must already exist.

The imported project will have the same key as the original project with a suffix based on the imported commitId (e.g. DEFAULT-SIVEN-MASTER:B1F6635).

The imported project will be read-only.

If the call was successful the response code will be '202 Accepted' and the 'Location' header will point to the job that will execute the import. Getting that job will allow you to know the progress and status of the import.

Request

Responses

Import job accepted